"""
Try out bytecode reader.

>>> m=llvm.ParseBytecodeFile('hello.ll.bc')
>>> m is None
False
>>> main=m.getNamedFunction('main')
>>> main.getFunctionType().getDescription()
'int ()'
>>> main.dump() # prints LLVM assembly into C stdout

"""

import doctest, llvm

if __name__=="__main__":
    doctest.testmod()
